[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.Create

Constructor for the object instance.

## Declaration

Source position: dbextctrls.pp line 56

`public constructor TDBDateEdit.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the object instance.

## Description

Create is the overridden constructor for the object instance. Create call the inherited constructor using AOwner as the owner for the object instance. Create allocates resources needed for the DataLink property, and sets the event handlers for its OnDataChange and OnUpdateData properties to the DataChange and UpdateData methods in the class instance.

## See also

TFieldDataLink |  | Maintains an association between a control, an action, and a field in a linked dataset.
TFieldDataLink.OnDataChange |  | Event handler signalled when the field data link has been changed.
TFieldDataLink.OnUpdateData |  | OnUpdateData - event handler for updating any pending changes in the data.